/*
 *
 * &copy; Bernhard Wagner, xmlizer.biz, 2003.
 */
#if defined(_MSC_VER)
	//
    // Warning about: identifier was truncated to '255' characters in the debug information
	// But check:http://support.microsoft.com/default.aspx?scid=KB;EN-US;Q167355&
	//
	#pragma warning( disable : 4786 )
#endif

#ifndef _CONVERSIONARGS_H_
#define _CONVERSIONARGS_H_
#include <string>
#include <list>
#include <iterator>

// must be multiple of 6 for 16 and 24 bit to work right
const int BUFFERSIZE = 1024 * 6;

typedef std::list<std::string> filenameList_t;
typedef filenameList_t::iterator filenameListIterator_t;


class ConversionArgs {
public:
	ConversionArgs();
	ConversionArgs(int argc, char **argv);
	int nOfChannels;
	int samplingRate;
	int bitsPerSample;

	filenameListIterator_t getInfilelistBegin();
	filenameListIterator_t getInfilelistEnd();
	filenameListIterator_t getOutfilelistBegin();
	filenameListIterator_t getOutfilelistEnd();

private:
	filenameList_t fInFilenames;
	filenameList_t fOutFilenames;
	std::string ConversionArgs::makeOutfilename(std::string infilename);
	void getCmdLineArgs(int argc, char **argv);
	void usage();

};

#endif